<?php

use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Domain\Approval\Models\ApprovalData;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Approval\Models\Approval;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(ApprovalData::class, static function (Faker\Generator $faker) {
    return [
        'key' => $faker->word,
        'value' => $faker->word,
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'approval_id' => function () {
            return factory(Approval::class)->create()->id;
        }
    ];
});

$factory->state(ApprovalData::class, 'snapshot', static function () {
    return [
        'key' => 'snapshot-word',
        'value' => 'snapshot-value',
        'event_id' => function () {
            return factory(Event::class)->create()->id;
        },
        'approval_id' => function () {
            return factory(Approval::class)->create()->id;
        }
    ];
});
