<?php

namespace EventPortal\Domain\Agenda;

use EventPortal\Domain\Agenda\Models\Agenda;
use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Event\Models\Event;

class AgendasForDelegate
{
    public static function get(Delegate $delegate, Event $event): array
    {
        $agendas = Agenda::forEvent($event)->orderBy('date')->get();

        $activeTabTracker = new ActiveTabTracker($agendas->pluck('date'));

        return Agenda::forEvent($event)
            ->orderBy('date')
            ->get()
            ->map(function (Agenda $agenda) use ($delegate, $activeTabTracker): array {
                $sessions = new Sessions($agenda, $delegate);

                $tab = new Tab($agenda, $sessions, $activeTabTracker);

                return $tab->toArray();
            })
            ->values()
            ->toArray();
    }
}
